RFIDWithUHF.SingleModeEnum

com.rscja.deviceapi

## Enum RFIDWithUHF.SingleModeEnum

- java.lang.Object
- - java.lang.Enum<RFIDWithUHF.SingleModeEnum>
  - - com.rscja.deviceapi.RFIDWithUHF.SingleModeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithUHF.SingleModeEnum>
  Enclosing class:
    RFIDWithUHF

      public static enum RFIDWithUHF.SingleModeEnum
      extends java.lang.Enum<RFIDWithUHF.SingleModeEnum>

  ¶ÁÈ¡Ä£Ê½
  Read mode
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MORE`
    `SINGEL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()`
    `static RFIDWithUHF.SingleModeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RFIDWithUHF.SingleModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGEL

          public static final RFIDWithUHF.SingleModeEnum SINGEL

    - #### MORE

          public static final RFIDWithUHF.SingleModeEnum MORE

  - ### Method Detail

    - #### values

          public static RFIDWithUHF.SingleModeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithUHF.SingleModeEnum c : RFIDWithUHF.SingleModeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithUHF.SingleModeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()